Subject: RE: Directory problems after fresh install of v1.3.22-1
From: David Balazic <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 5 Aug 2003 16:09:13 +0200

> ----------
> From: 	Igor Pechtchanski[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	5. avgust 2003 16:06
> To: 	David Balazic
> Cc: 	[email-masked]
> Subject: 	RE: Directory problems after fresh install of v1.3.22-1
> 
> On Tue, 5 Aug 2003, David Balazic wrote:
> 
> > > From:         Igor Pechtchanski
> > > Reply To:     [email-masked]
> > > Sent:         5. avgust 2003 14:46
> > > To:   David Balazic
> > > Cc:   [email-masked]
> > > Subject:      RE: Directory problems after fresh install of v1.3.22-1
> > >
> > > On Tue, 5 Aug 2003, Igor Pechtchanski wrote:
> > >
> > > > On Tue, 5 Aug 2003, David Balazic wrote:
> > > >
> > > > [snip]
> > > >
> > > > > >   Are you logging
> > > > > > in as a domain user by any chance?
> > > > > Yes.
> > > > > >   Are your /etc/passwd and /etc/group up
> > > > > > to date?
> > > > > I don't know. What does it mean "up to date" what must be their
> content ?
> > > > They should have an entry for the user you log in as.  Since you
> installed
> > > > as a different user (admin), mkpasswd will not have put in the entry
> for
> > > > the domain user.  Try running "x:\cygwin\bin\mkpasswd -u <youruser>
> -d >> passwd" from "x:\cygwin\etc".
> > >
> > > You may also need to do "x:\cygwin\bin\mkgroup -d >> group" from
> > > "x:\cygwin\etc" -- be prepared, it may take a while in large domains.
> >
> > I did this now.
> 
> So, please post the passwd and group lines that correspond to the numeric
> UID and GID you installed under (see below).
> 
> > > > > >   Please run "c:\cygwin\bin\ls.exe -l /bin/ls" from a cmd.exe
> > > > > > prompt and post the output.
> > > > >
> > > > > It is on drive X:
> > > > > C:\>x:\cygwin\bin\ls.exe -l /bin/ls
> > > > > /usr/bin/ls: /bin/ls: No such file or directory
> > > >
> > > > Okay, try ".\ls.exe .\ls.exe" from "x:\cygwin\bin"?
> > >              ^^^^^^^^^^^^^^^^^
> > > Oops, make that ".\ls.exe -l .\ls.exe"...  Sorry.
> > >
> > X:\cygwin\bin>.\ls.exe -l .\ls.exe
> > -rwxrwxrwx    1 ???????? ????????    68608 Jun 15  2001 .\ls.exe
> 
> Ah.  Ok, now ".\ls.exe -ln .\ls.exe".  This will give you the numeric UID
> and GID to grep out of the passwd and group files.
X:\cygwin\bin>.\ls.exe -ln .\ls.exe
-rwxrwxrwx    1 65535    65535       68608 Jun 15  2001 .\ls.exe

65535 is not in passwd or group file.

> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/